Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.profiles
Class OWLProfiles

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.profiles.OWLProfiles

    public class OWLProfiles

extends Object

Vocabulary definitions from file:/C:/projects/owl/schemagen-temp.owl

Author:
  Auto-generated by schemagen on 29 Nov 2004 16:31

Field Summary
`static com.hp.hpl.jena.ontology.OntClass` | `AllValuesFrom_Restrictions`
`static com.hp.hpl.jena.ontology.OntClass` | `Class_that_is_also_a_Property`
`static com.hp.hpl.jena.ontology.OntClass` | `Class_Type`
`static com.hp.hpl.jena.ontology.OntClass` | `Complement_Classes`
`static com.hp.hpl.jena.ontology.OntClass` | `Create_DatatypeProperty`
`static com.hp.hpl.jena.ontology.OntClass` | `Create_ObjectProperty`
`static com.hp.hpl.jena.ontology.OntClass` | `Create_OWLClass`
`static com.hp.hpl.jena.ontology.OntClass` | `Create_OWLIndividual`
`static com.hp.hpl.jena.ontology.OntClass` | `CreateRDFProperty`
`static com.hp.hpl.jena.ontology.OntClass` | `CreateRDFSClass`
`static com.hp.hpl.jena.ontology.OntClass` | `DataRanges`
`static com.hp.hpl.jena.ontology.OntClass` | `DatatypeProperty_Type`
`static com.hp.hpl.jena.ontology.OntClass` | `DifferentFrom_between_Classes`
`static com.hp.hpl.jena.ontology.OntClass` | `DifferentFrom_between_Properties`
`static com.hp.hpl.jena.ontology.OntClass` | `Disjoint_Classes`
`static com.hp.hpl.jena.ontology.OntClass` | `Enumerated_Classes`
`static com.hp.hpl.jena.ontology.ObjectProperty` | `hasFeatures`
`static com.hp.hpl.jena.ontology.OntClass` | `HasValue_Restrictions`
`static com.hp.hpl.jena.ontology.OntClass` | `MaxCardinality_Restrictions`
`static com.hp.hpl.jena.ontology.OntClass` | `MinCardinality_Restrictions`
`static com.hp.hpl.jena.rdf.model.Resource` | `NAMESPACE` The namespace of the vocabulary as a resource
`static String` | `NS` The namespace of the vocabulary as a string
`static com.hp.hpl.jena.ontology.OntClass` | `ObjectProperty_Type`
`static com.hp.hpl.jena.ontology.OntClass` | `OWL_DL`
`static com.hp.hpl.jena.ontology.OntClass` | `OWL_Full`
`static com.hp.hpl.jena.ontology.OntClass` | `OWL_Lite`
`static com.hp.hpl.jena.ontology.OntClass` | `OWLClass_Type`
`static com.hp.hpl.jena.ontology.OntClass` | `OWLProperty_type`
`static com.hp.hpl.jena.ontology.OntClass` | `Profile`
`static com.hp.hpl.jena.ontology.OntClass` | `Property_that_is_also_a_Class`
`static com.hp.hpl.jena.ontology.OntClass` | `Property_Type`
`static com.hp.hpl.jena.ontology.OntClass` | `Qualified_Cardinality_Restrictions`
`static com.hp.hpl.jena.ontology.OntClass` | `RDF`
`static com.hp.hpl.jena.ontology.OntClass` | `RDF_but_not_OWL`
`static com.hp.hpl.jena.ontology.OntClass` | `RDFProperty_but_not_OWLProperty_Type`
`static com.hp.hpl.jena.ontology.OntClass` | `RDFSClass_but_not_OWLClass_Type`
`static com.hp.hpl.jena.ontology.OntClass` | `SameAs_between_Classes`
`static com.hp.hpl.jena.ontology.OntClass` | `SameAs_between_Properties`
`static com.hp.hpl.jena.ontology.OntClass` | `SomeValuesFrom_Restrictions`
`static com.hp.hpl.jena.ontology.OntClass` | `StatementPattern`
`static com.hp.hpl.jena.ontology.OntClass` | `TransitiveProperties_that_are_FunctionalProperties`
`static com.hp.hpl.jena.ontology.OntClass` | `TransitiveProperties_that_are_InverseFunctionalProperties`
`static com.hp.hpl.jena.ontology.OntClass` | `Union_Classes`

Constructor Summary
`OWLProfiles()`

Method Summary
`static String` | `getURI()` The namespace of the vocabulary as a string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

  The namespace of the vocabulary as a string

  See Also:
    Constant Field Values

### NAMESPACE

    public static final com.hp.hpl.jena.rdf.model.Resource NAMESPACE

  The namespace of the vocabulary as a resource

### hasFeatures

    public static final com.hp.hpl.jena.ontology.ObjectProperty hasFeatures

### SameAs_between_Properties

    public static final com.hp.hpl.jena.ontology.OntClass SameAs_between_Properties

### OWL_Full

    public static final com.hp.hpl.jena.ontology.OntClass OWL_Full

### OWLProperty_type

    public static final com.hp.hpl.jena.ontology.OntClass OWLProperty_type

### RDF

    public static final com.hp.hpl.jena.ontology.OntClass RDF

### RDF_but_not_OWL

    public static final com.hp.hpl.jena.ontology.OntClass RDF_but_not_OWL

### RDFSClass_but_not_OWLClass_Type

    public static final com.hp.hpl.jena.ontology.OntClass RDFSClass_but_not_OWLClass_Type

### Create_ObjectProperty

    public static final com.hp.hpl.jena.ontology.OntClass Create_ObjectProperty

### OWL_Lite

    public static final com.hp.hpl.jena.ontology.OntClass OWL_Lite

### MaxCardinality_Restrictions

    public static final com.hp.hpl.jena.ontology.OntClass MaxCardinality_Restrictions

### Property_that_is_also_a_Class

    public static final com.hp.hpl.jena.ontology.OntClass Property_that_is_also_a_Class

### Create_OWLClass

    public static final com.hp.hpl.jena.ontology.OntClass Create_OWLClass

### Union_Classes

    public static final com.hp.hpl.jena.ontology.OntClass Union_Classes

### Profile

    public static final com.hp.hpl.jena.ontology.OntClass Profile

### Disjoint_Classes

    public static final com.hp.hpl.jena.ontology.OntClass Disjoint_Classes

### TransitiveProperties_that_are_FunctionalProperties

    public static final com.hp.hpl.jena.ontology.OntClass TransitiveProperties_that_are_FunctionalProperties

### Create_OWLIndividual

    public static final com.hp.hpl.jena.ontology.OntClass Create_OWLIndividual

### MinCardinality_Restrictions

    public static final com.hp.hpl.jena.ontology.OntClass MinCardinality_Restrictions

### Class_that_is_also_a_Property

    public static final com.hp.hpl.jena.ontology.OntClass Class_that_is_also_a_Property

### SomeValuesFrom_Restrictions

    public static final com.hp.hpl.jena.ontology.OntClass SomeValuesFrom_Restrictions

### CreateRDFProperty

    public static final com.hp.hpl.jena.ontology.OntClass CreateRDFProperty

### OWL_DL

    public static final com.hp.hpl.jena.ontology.OntClass OWL_DL

### OWLClass_Type

    public static final com.hp.hpl.jena.ontology.OntClass OWLClass_Type

### ObjectProperty_Type

    public static final com.hp.hpl.jena.ontology.OntClass ObjectProperty_Type

### Enumerated_Classes

    public static final com.hp.hpl.jena.ontology.OntClass Enumerated_Classes

### StatementPattern

    public static final com.hp.hpl.jena.ontology.OntClass StatementPattern

### DatatypeProperty_Type

    public static final com.hp.hpl.jena.ontology.OntClass DatatypeProperty_Type

### DifferentFrom_between_Classes

    public static final com.hp.hpl.jena.ontology.OntClass DifferentFrom_between_Classes

### DifferentFrom_between_Properties

    public static final com.hp.hpl.jena.ontology.OntClass DifferentFrom_between_Properties

### Class_Type

    public static final com.hp.hpl.jena.ontology.OntClass Class_Type

### Property_Type

    public static final com.hp.hpl.jena.ontology.OntClass Property_Type

### TransitiveProperties_that_are_InverseFunctionalProperties

    public static final com.hp.hpl.jena.ontology.OntClass TransitiveProperties_that_are_InverseFunctionalProperties

### Create_DatatypeProperty

    public static final com.hp.hpl.jena.ontology.OntClass Create_DatatypeProperty

### CreateRDFSClass

    public static final com.hp.hpl.jena.ontology.OntClass CreateRDFSClass

### Complement_Classes

    public static final com.hp.hpl.jena.ontology.OntClass Complement_Classes

### HasValue_Restrictions

    public static final com.hp.hpl.jena.ontology.OntClass HasValue_Restrictions

### DataRanges

    public static final com.hp.hpl.jena.ontology.OntClass DataRanges

### SameAs_between_Classes

    public static final com.hp.hpl.jena.ontology.OntClass SameAs_between_Classes

### AllValuesFrom_Restrictions

    public static final com.hp.hpl.jena.ontology.OntClass AllValuesFrom_Restrictions

### RDFProperty_but_not_OWLProperty_Type

    public static final com.hp.hpl.jena.ontology.OntClass RDFProperty_but_not_OWLProperty_Type

### Qualified_Cardinality_Restrictions

    public static final com.hp.hpl.jena.ontology.OntClass Qualified_Cardinality_Restrictions

Constructor Detail

### OWLProfiles

    public OWLProfiles()

Method Detail

### getURI

    public static String getURI()

  The namespace of the vocabulary as a string

  See Also:
    `NS`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.